Get entries relations
Returns the specified DataLens entries relations.
Request
POST
https://api.datalens.tech/rpc/getEntriesRelations
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
|
x-dl-audit-mode |
Type: string Const: Example: `` |
Body
application/json
{
"entryIds": [
"example"
],
"linkDirection": "from",
"includePermissionsInfo": true,
"limit": 0.5,
"pageToken": "example",
"scope": "dash"
}
|
Name |
Description |
|
entryIds |
Type: string[] ID of the entries to get relations for. Example
|
|
includePermissionsInfo |
Type: boolean Include permission information in the response. |
|
limit |
Type: number Maximum number of results to return. |
|
linkDirection |
Type: string The direction of the link relatively to the original entry:
Enum: |
|
pageToken |
Type: string Token for retrieving the next page of results. Example: |
|
scope |
Type: EntryScope Type of the entry, e.g. Enum: |
EntryScope
Type of the entry, e.g. dash — dashboard, widget — chart, etc.
Type: string
Enum: dash, report, widget, dataset, folder, connection, compute, artifact
Responses
200 OK
Response
Body
application/json
{
"relations": [
{
"entryId": "example",
"key": "example",
"scope": "dash",
"type": "example",
"createdAt": "example",
"public": true,
"tenantId": "example",
"workbookId": "example",
"collectionId": "example",
"isLocked": true,
"permissions": {
"execute": true,
"read": true,
"edit": true,
"admin": true
},
"fullPermissions": {
"listAccessBindings": true,
"updateAccessBindings": true,
"limitedView": true,
"view": true,
"update": true,
"copy": true,
"move": true,
"delete": true,
"createEntryBinding": true,
"createLimitedEntryBinding": true
}
}
],
"nextPageToken": "example"
}
|
Name |
Description |
|
relations |
Type: GetEntriesRelationsEntry[] List of related entries. Example
|
|
nextPageToken |
Type: string Token for retrieving the next page of results. Example: |
GetEntriesRelationsEntry
|
Name |
Description |
||||||||||||||||||||
|
collectionId |
Type: string | null ID of the collection the entry belongs to. Example: |
||||||||||||||||||||
|
createdAt |
Type: string Creation timestamp. Example: |
||||||||||||||||||||
|
entryId |
Type: string Unique identifier of the entry. Example: |
||||||||||||||||||||
|
key |
Type: string | null Key identifier of the entry. Example: |
||||||||||||||||||||
|
public |
Type: boolean Indicates if the entry is public. |
||||||||||||||||||||
|
scope |
Type: EntryScope Type of the entry, e.g. Enum: |
||||||||||||||||||||
|
tenantId |
Type: string | null ID of the DataLens tenant. Example: |
||||||||||||||||||||
|
type |
Type: string Specified type of the entry from scope (e.g. type of the connection or visualization type for charts). Example: |
||||||||||||||||||||
|
workbookId |
Type: string | null ID of the workbook the entry belongs to. Example: |
||||||||||||||||||||
|
fullPermissions |
Type: object
Full permissions for the entry. Example
|
||||||||||||||||||||
|
isLocked |
Type: boolean Indicates if the entry is locked. |
||||||||||||||||||||
|
permissions |
Type: object
Basic permissions for the entry. Example
|
Example
{
"entryId": "example",
"key": "example",
"scope": "dash",
"type": "example",
"createdAt": "example",
"public": true,
"tenantId": "example",
"workbookId": "example",
"collectionId": "example",
"isLocked": true,
"permissions": {
"execute": true,
"read": true,
"edit": true,
"admin": true
},
"fullPermissions": {
"listAccessBindings": true,
"updateAccessBindings": true,
"limitedView": true,
"view": true,
"update": true,
"copy": true,
"move": true,
"delete": true,
"createEntryBinding": true,
"createLimitedEntryBinding": true
}
}